|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Classes | Public Member Functions | Static Public Member Functions
gameplay::AIState Class Reference

`#include <AIState.h>`

Inheritance diagram for gameplay::AIState:

List of all members.

## Classes

class | Listener

## Public Member Functions

const char * | getId () const
void | setListener (Listener *listener)

## Static Public Member Functions

static AIState * | create (const char *id)

## Detailed Description

Defines a single state in an AIStateMachine.

An AIState encapsulates a state and unit of work within an AI state machine. Events can be programmed or scripted when the state is entered, exited and each frame/tick in its update event.

## Member Function Documentation

static AIState* gameplay::AIState::create | ( | const char * | id | ) | `[static]`

Creates a new AISTate.

Parameters:

  id | The ID of the new AIState.

Returns:
  The new AIState.

const char* gameplay::AIState::getId | ( |  | ) | const

Returns the ID of this state.

Returns:
  The state ID.

void gameplay::AIState::setListener | ( | Listener * | listener | ) |

Sets a listener to dispatch state events to.

Parameters:

  listener | Listener to dispatch state events to, or NULL to disable event dispatching.

All Classes Functions Variables Typedefs Enumerations Enumerator